Commit ae00a7dd authored by Philippe Gorley's avatar Philippe Gorley

build: remove libsamplerate dependency

Change-Id: Icaeb11be9dd76c815150ec29ebad9cf0534a2144
parent 06572184
...@@ -33,7 +33,6 @@ RUN apt-get update && \ ...@@ -33,7 +33,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -33,7 +33,6 @@ RUN apt-get update && \ ...@@ -33,7 +33,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -34,7 +34,6 @@ RUN apt-get update && \ ...@@ -34,7 +34,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -34,7 +34,6 @@ RUN apt-get update && \ ...@@ -34,7 +34,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -13,7 +13,6 @@ RUN dnf upgrade -y && \ ...@@ -13,7 +13,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \ ...@@ -16,7 +16,6 @@ RUN dnf upgrade -y && \
speexdsp-devel \ speexdsp-devel \
pulseaudio-libs-devel \ pulseaudio-libs-devel \
libcanberra-devel \ libcanberra-devel \
libsamplerate-devel \
libtool \ libtool \
dbus-devel \ dbus-devel \
expat-devel \ expat-devel \
......
...@@ -34,7 +34,6 @@ RUN apt-get update && \ ...@@ -34,7 +34,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -34,7 +34,6 @@ RUN apt-get update && \ ...@@ -34,7 +34,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -34,7 +34,6 @@ RUN apt-get update && \ ...@@ -34,7 +34,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -34,7 +34,6 @@ RUN apt-get update && \ ...@@ -34,7 +34,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -44,7 +44,6 @@ RUN apt-get update && \ ...@@ -44,7 +44,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -44,7 +44,6 @@ RUN apt-get update && \ ...@@ -44,7 +44,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -45,7 +45,6 @@ RUN apt-get update && \ ...@@ -45,7 +45,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -45,7 +45,6 @@ RUN apt-get update && \ ...@@ -45,7 +45,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -45,7 +45,6 @@ RUN apt-get update && \ ...@@ -45,7 +45,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -45,7 +45,6 @@ RUN apt-get update && \ ...@@ -45,7 +45,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -35,7 +35,6 @@ RUN apt-get update && \ ...@@ -35,7 +35,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -35,7 +35,6 @@ RUN apt-get update && \ ...@@ -35,7 +35,6 @@ RUN apt-get update && \
autotools-dev \ autotools-dev \
gettext \ gettext \
libpulse-dev \ libpulse-dev \
libsamplerate0-dev \
libasound2-dev \ libasound2-dev \
libexpat1-dev \ libexpat1-dev \
libpcre3-dev \ libpcre3-dev \
......
...@@ -73,8 +73,8 @@ ZYPPER_DEPENDENCIES = [ ...@@ -73,8 +73,8 @@ ZYPPER_DEPENDENCIES = [
'autoconf', 'autoconf-archive', 'automake', 'cmake', 'patch', 'gcc-c++', 'libtool', 'autoconf', 'autoconf-archive', 'automake', 'cmake', 'patch', 'gcc-c++', 'libtool',
# daemon # daemon
'speexdsp-devel', 'speex-devel', 'libdbus-c++-devel', 'jsoncpp-devel', 'yaml-cpp-devel', 'speexdsp-devel', 'speex-devel', 'libdbus-c++-devel', 'jsoncpp-devel', 'yaml-cpp-devel',
'libupnp-devel', 'boost-devel', 'yasm', 'libuuid-devel', 'libsamplerate-devel', 'libupnp-devel', 'boost-devel', 'yasm', 'libuuid-devel', 'libnettle-devel',
'libnettle-devel', 'libopus-devel', 'libgnutls-devel', 'msgpack-devel', 'libavcodec-devel', 'libopus-devel', 'libgnutls-devel', 'msgpack-devel', 'libavcodec-devel',
'libavdevice-devel', 'pcre-devel', 'libogg-devel', 'libvorbis-devel', 'flac-devel', 'libavdevice-devel', 'pcre-devel', 'libogg-devel', 'libvorbis-devel', 'flac-devel',
'libgsm-devel', 'alsa-devel', 'libpulse-devel', 'libudev-devel', 'libva-devel', 'libgsm-devel', 'alsa-devel', 'libpulse-devel', 'libudev-devel', 'libva-devel',
'libvdpau-devel', 'libopenssl-devel', 'libvdpau-devel', 'libopenssl-devel',
...@@ -104,7 +104,7 @@ MINGW32_FEDORA_DEPENDENCIES = [ ...@@ -104,7 +104,7 @@ MINGW32_FEDORA_DEPENDENCIES = [
DNF_DEPENDENCIES = [ DNF_DEPENDENCIES = [
'autoconf', 'autoconf-archive', 'automake', 'cmake', 'speexdsp-devel', 'pulseaudio-libs-devel', 'autoconf', 'autoconf-archive', 'automake', 'cmake', 'speexdsp-devel', 'pulseaudio-libs-devel',
'libsamplerate-devel', 'libtool', 'dbus-devel', 'expat-devel', 'pcre-devel', 'libtool', 'dbus-devel', 'expat-devel', 'pcre-devel',
'yaml-cpp-devel', 'boost-devel', 'dbus-c++-devel', 'dbus-devel', 'yaml-cpp-devel', 'boost-devel', 'dbus-c++-devel', 'dbus-devel',
'libXext-devel', 'libXfixes-devel', 'yasm', 'libXext-devel', 'libXfixes-devel', 'yasm',
'speex-devel', 'chrpath', 'check', 'astyle', 'uuid-c++-devel', 'gettext-devel', 'speex-devel', 'chrpath', 'check', 'astyle', 'uuid-c++-devel', 'gettext-devel',
...@@ -123,7 +123,7 @@ APT_DEPENDENCIES = [ ...@@ -123,7 +123,7 @@ APT_DEPENDENCIES = [
'libclutter-gtk-1.0-dev', 'libcppunit-dev', 'libdbus-1-dev', 'libclutter-gtk-1.0-dev', 'libcppunit-dev', 'libdbus-1-dev',
'libdbus-c++-dev', 'libebook1.2-dev', 'libexpat1-dev', 'libgnutls28-dev', 'libdbus-c++-dev', 'libebook1.2-dev', 'libexpat1-dev', 'libgnutls28-dev',
'libgsm1-dev', 'libgtk-3-dev', 'libjack-dev', 'libnotify-dev', 'libgsm1-dev', 'libgtk-3-dev', 'libjack-dev', 'libnotify-dev',
'libopus-dev', 'libpcre3-dev', 'libpulse-dev', 'libsamplerate0-dev', 'libssl-dev', 'libopus-dev', 'libpcre3-dev', 'libpulse-dev', 'libssl-dev',
'libspeex-dev', 'libspeexdsp-dev', 'libswscale-dev', 'libtool', 'libspeex-dev', 'libspeexdsp-dev', 'libswscale-dev', 'libtool',
'libudev-dev', 'libupnp-dev', 'libyaml-cpp-dev', 'qtbase5-dev', 'libqt5sql5-sqlite', 'sip-tester', 'swig', 'libudev-dev', 'libupnp-dev', 'libyaml-cpp-dev', 'qtbase5-dev', 'libqt5sql5-sqlite', 'sip-tester', 'swig',
'uuid-dev', 'yasm', 'libqrencode-dev', 'libjsoncpp-dev', 'libappindicator3-dev', 'uuid-dev', 'yasm', 'libqrencode-dev', 'libjsoncpp-dev', 'libappindicator3-dev',
...@@ -133,7 +133,7 @@ APT_DEPENDENCIES = [ ...@@ -133,7 +133,7 @@ APT_DEPENDENCIES = [
PACMAN_DEPENDENCIES = [ PACMAN_DEPENDENCIES = [
'autoconf', 'autoconf-archive', 'gettext', 'cmake', 'dbus', 'doxygen', 'gcc', 'gnome-icon-theme-symbolic', 'autoconf', 'autoconf-archive', 'gettext', 'cmake', 'dbus', 'doxygen', 'gcc', 'gnome-icon-theme-symbolic',
'ffmpeg', 'boost', 'clutter-gtk', 'cppunit', 'libdbus', 'dbus-c++', 'libe-book', 'ffmpeg', 'boost', 'clutter-gtk', 'cppunit', 'libdbus', 'dbus-c++', 'libe-book',
'expat', 'gsm', 'gtk3', 'jack', 'libnotify', 'opus', 'pcre', 'libpulse', 'libsamplerate', 'expat', 'gsm', 'gtk3', 'jack', 'libnotify', 'opus', 'pcre', 'libpulse',
'speex', 'speexdsp', 'libtool', 'libupnp', 'yaml-cpp', 'qt5-base', 'speex', 'speexdsp', 'libtool', 'libupnp', 'yaml-cpp', 'qt5-base',
'swig', 'yasm', 'qrencode', 'evolution-data-server', 'make', 'patch', 'pkg-config', 'swig', 'yasm', 'qrencode', 'evolution-data-server', 'make', 'patch', 'pkg-config',
'automake', 'libva', 'webkit2gtk', 'libnm', 'libvdpau', 'libcanbera', 'openssl' 'automake', 'libva', 'webkit2gtk', 'libnm', 'libvdpau', 'libcanbera', 'openssl'
......
...@@ -54,7 +54,6 @@ Build-Depends: debhelper (>= 9), ...@@ -54,7 +54,6 @@ Build-Depends: debhelper (>= 9),
libvdpau-dev, libvdpau-dev,
# other # other
yasm, yasm,
libsamplerate0-dev
Standards-Version: 4.1.5 Standards-Version: 4.1.5
Homepage: https://ring.cx Homepage: https://ring.cx
Vcs-Git: https://git.ring.cx/savoirfairelinux/ring-project.git Vcs-Git: https://git.ring.cx/savoirfairelinux/ring-project.git
......
...@@ -19,7 +19,6 @@ BuildRequires: automake ...@@ -19,7 +19,6 @@ BuildRequires: automake
BuildRequires: cmake BuildRequires: cmake
BuildRequires: pulseaudio-libs-devel BuildRequires: pulseaudio-libs-devel
BuildRequires: libcanberra-devel BuildRequires: libcanberra-devel
BuildRequires: libsamplerate-devel
BuildRequires: libtool BuildRequires: libtool
BuildRequires: dbus-devel BuildRequires: dbus-devel
BuildRequires: expat-devel BuildRequires: expat-devel
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment